# Window.Remote (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj.connection.channel
Class Window.Remote

    java.lang.Object
      net.schmizz.sshj.connection.channel.Window
          net.schmizz.sshj.connection.channel.Window.Remote

Enclosing class:
  Window

    public static final class Window.Remote

extends Window

Controls how much data we can send before an adjustment notification from remote end is required.

Nested Class Summary

Nested classes/interfaces inherited from class net.schmizz.sshj.connection.channel.Window
`Window.Local, Window.Remote`

Field Summary

Fields inherited from class net.schmizz.sshj.connection.channel.Window
`lock, log, maxPacketSize, size`

Constructor Summary
`Window.Remote(int initialWinSize, int maxPacketSize)`

Method Summary
`int` `awaitExpansion(int was)`
`void` `consume(int howMuch)`

Methods inherited from class net.schmizz.sshj.connection.channel.Window
`expand, getMaxPacketSize, getSize, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Window.Remote

    public Window.Remote(int initialWinSize,
                         int maxPacketSize)

Method Detail

### awaitExpansion

    public int awaitExpansion(int was)
                       throws ConnectionException

  Throws:
    `ConnectionException`

### consume

    public void consume(int howMuch)

  Overrides:
    `consume` in class `Window`

Copyright © 2009-2012. All Rights Reserved.